curl --request POST \
--url https://thirdparty.qonto.com/v2/requests/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Qonto-Idempotency-Key: <x-qonto-idempotency-key>' \
--data '
{
"request_transfer": {
"note": "Q1 marketing invoice — pending admin approval",
"credit_iban": "FR7630001007941234567890183",
"credit_account_name": "URSSAF",
"credit_account_currency": "EUR",
"amount": "2000.50",
"currency": "EUR",
"reference": "Invoice 2026-01",
"attachment_ids": [
"d840f1cb-6adb-48af-9f89-540dcf5ba741"
],
"scheduled_date": "2026-03-06",
"recurrence": "monthly",
"last_recurrence_date": "2026-12-06",
"debit_iban": "FR0807277000000000000000911"
}
}
'import requests
url = "https://thirdparty.qonto.com/v2/requests/transfers"
payload = { "request_transfer": {
"note": "Q1 marketing invoice — pending admin approval",
"credit_iban": "FR7630001007941234567890183",
"credit_account_name": "URSSAF",
"credit_account_currency": "EUR",
"amount": "2000.50",
"currency": "EUR",
"reference": "Invoice 2026-01",
"attachment_ids": ["d840f1cb-6adb-48af-9f89-540dcf5ba741"],
"scheduled_date": "2026-03-06",
"recurrence": "monthly",
"last_recurrence_date": "2026-12-06",
"debit_iban": "FR0807277000000000000000911"
} }
headers = {
"X-Qonto-Idempotency-Key": "<x-qonto-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Qonto-Idempotency-Key': '<x-qonto-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
request_transfer: {
note: 'Q1 marketing invoice — pending admin approval',
credit_iban: 'FR7630001007941234567890183',
credit_account_name: 'URSSAF',
credit_account_currency: 'EUR',
amount: '2000.50',
currency: 'EUR',
reference: 'Invoice 2026-01',
attachment_ids: ['d840f1cb-6adb-48af-9f89-540dcf5ba741'],
scheduled_date: '2026-03-06',
recurrence: 'monthly',
last_recurrence_date: '2026-12-06',
debit_iban: 'FR0807277000000000000000911'
}
})
};
fetch('https://thirdparty.qonto.com/v2/requests/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_transfer": {
"id": "bb8f8d1d-5f12-486e-8f8e-90cc2af76038",
"request_type": "transfer",
"status": "pending",
"initiator_id": "6b1872e4-08e4-42ec-9c82-b441ec242a9b",
"approver_id": null,
"note": "Q1 marketing invoice — pending admin approval",
"declined_note": null,
"creditor_name": "URSSAF",
"reference": "Invoice 2026-01",
"amount": "2000.50",
"currency": "EUR",
"attachment_ids": [],
"scheduled_date": "2026-03-06",
"recurrence": null,
"last_recurrence_date": null,
"processed_at": null,
"created_at": "2026-02-16T17:33:38.215Z"
}
}Create transfer request
OAuth scope: request_transfers.write
Creates a single transfer request that should be approved by a membership of the authenticated organization with permissions to review requests.
Use this endpoint as the fallback when Create a SEPA transfer returns payment_policy_approval_required or payment_policy_approver_missing.
For batches of multiple beneficiaries in one request, use Create multi transfer request instead.
Price plans: this endpoint is accessible by organizations with all plans except Solo Basic.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Learn more in Idempotent Requests.
"123e4567-e89b-12d3-a456-426614174000"
Body
Show child attributes
Show child attributes
Response
Returns the request created.
Show child attributes
Show child attributes
Was this page helpful?